Skip to main content
GET
/
v1
/
api-keys
List API keys
curl --request GET \
  --url https://api.example.com/v1/api-keys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "key_prefix": "<string>",
    "status": "<string>",
    "scopes": [
      "<unknown>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
key_prefix
string
required
status
string
required
scopes
any[]
required
created_at
string<date-time>
required
last_used_at
string<date-time> | null